Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::_TAO_Administration_Proxy_Impl Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::_TAO_Administration_Proxy_Impl:

[legend]
Collaboration diagram for ImplementationRepository::_TAO_Administration_Proxy_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~_TAO_Administration_Proxy_Impl (void)
virtual void | activate_server (CORBA_Object *_collocated_tao_target_, const char *server ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual char * | activate_server_with_startup (CORBA_Object *_collocated_tao_target_, const char *server, CORBA::Long check_startup ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual void | register_server (CORBA_Object *_collocated_tao_target_, const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )
virtual void | reregister_server (CORBA_Object *_collocated_tao_target_, const char *server, const ImplementationRepository::StartupOptions &options ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException )
virtual void | remove_server (CORBA_Object *_collocated_tao_target_, const char *server ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | shutdown_server (CORBA_Object *_collocated_tao_target_, const char *server ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual char * | server_is_running (CORBA_Object *_collocated_tao_target_, const char *server, const char *addr, ImplementationRepository::ServerObject_ptr server_object ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_shutting_down (CORBA_Object *_collocated_tao_target_, const char *server ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | find (CORBA_Object *_collocated_tao_target_, const char *server, ImplementationRepository::ServerInformation_out info ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | list (CORBA_Object *_collocated_tao_target_, CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list, ImplementationRepository::ServerInformationIterator_out server_iterator ACE_ENV_ARG_DECL)=0 throw ( CORBA::SystemException )
## Protected Methods
| _TAO_Administration_Proxy_Impl (void)

## Constructor & Destructor Documentation

virtual ImplementationRepository::_TAO_Administration_Proxy_Impl::~_TAO_Administration_Proxy_Impl | ( | void |  | ) | `[inline, virtual]`

ImplementationRepository::_TAO_Administration_Proxy_Impl::_TAO_Administration_Proxy_Impl | ( | void |  | ) | `[protected]`

## Member Function Documentation

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::activate_server | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char *server | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual char* ImplementationRepository::_TAO_Administration_Proxy_Impl::activate_server_with_startup | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | CORBA::Long check_startup | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::find | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | ImplementationRepository::ServerInformation_out info | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::list | ( | CORBA_Object * | _collocated_tao_target_,
|  | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out | server_list,
|  | ImplementationRepository::ServerInformationIterator_out server_iterator | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::register_server | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::remove_server | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char *server | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::reregister_server | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const ImplementationRepository::StartupOptions &options | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual char* ImplementationRepository::_TAO_Administration_Proxy_Impl::server_is_running | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char * | addr,
|  | ImplementationRepository::ServerObject_ptr server_object | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::server_is_shutting_down | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char *server | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

virtual void ImplementationRepository::_TAO_Administration_Proxy_Impl::shutdown_server | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char *server | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[pure virtual]`

| Reimplemented in ImplementationRepository::_TAO_Administration_Remote_Proxy_Impl, POA_ImplementationRepository::_TAO_Administration_ThruPOA_Proxy_Impl, and POA_ImplementationRepository::_TAO_Administration_Direct_Proxy_Impl.

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp